Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 190534

Summary: sci-physics/cernlib-2006 completely ignores CFLAGS & FFLAGS on sparc and chooses very bad defaults.
Product: Gentoo Linux Reporter: Ferris McCormick (RETIRED) <fmccor>
Component: Current packagesAssignee: Gentoo Science Physics related packages <sci-physics>
Status: RESOLVED FIXED    
Severity: normal CC: sparc
Priority: High    
Version: 2006.1   
Hardware: Sparc   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 59506    

Description Ferris McCormick (RETIRED) gentoo-dev 2007-08-28 14:28:59 UTC
sci-physics/cernlib-2006 does build on sparc.  However, it ignores CFLAGS (and FFLAGS) from make.conf, substituting its own defaults.  For CFLAGS, it forces -O3 (in general, not a good idea) ignores -mcpu= from make.conf CFLAGS, and even sometimes FORCES -mcpu=v7.  This results in building the C portion for essentially an SS2 and quite suboptimal performance on any sparc system anyone is likely to have.

Fortran build is similar, although I did not notice any forced -mcpu=v7 flags.

Since it builds, I'm giving it ~sparc for testing, but it really should use my CFLAGS/FFLAGS, not what it thinks I need unless there is some compelling reason to do otherwise.  Please see Bug 59506 for an explanation.
Comment 1 Ferris McCormick (RETIRED) gentoo-dev 2007-08-28 15:18:55 UTC
Add CC sparc. 
Comment 2 S├ębastien Fabbro (RETIRED) gentoo-dev 2007-08-28 18:52:51 UTC
I will take a deeper look how to enforce users CFLAGS/FFLAGS as well as a decent src_test procedure. Useful for other arches anyway.

Comment 3 S├ębastien Fabbro (RETIRED) gentoo-dev 2007-09-03 15:58:12 UTC
just commited some cernlib fixes allowing user's flags and a src_test. Give it a try when you can. I will also propagate these changes in other cernlib packages (paw, geant, cernlib-montecarlo).
Comment 4 Ferris McCormick (RETIRED) gentoo-dev 2007-09-17 13:57:37 UTC
(In reply to comment #3)
> just commited some cernlib fixes allowing user's flags and a src_test. Give it
> a try when you can. I will also propagate these changes in other cernlib
> packages (paw, geant, cernlib-montecarlo).
> 

That fixes the CFLAGS, thanks.  Also, it does run many tests now.  Apparently, it runs them successfully (at least, src_test does not take the "die" branch, and as far as I could tell from watching it run, everything reported success).

So far as I am concerned, this bug is fixed and you can close it.

Thanks for your help.